#
# spec file for package ghc-webpage
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name webpage
Name:           ghc-%{pkg_name}
Version:        0.0.5
Release:        lp150.1.7
Summary:        Organized and simple web page scaffold for blaze and lucid
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-lucid-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel

%description
This is a general organization scheme for web pages, implemented for Lucid, and
adapted for Blaze-html.

> import Web.Page.Lucid > > λ> renderText $ template def "some content" > > ↪
"<!DOCTYPE HTML><html><head><title></title><link href >
rel="icon"></head><body>some content</body></html>"

overload the particular areas with record syntax and stuff:

> λ> let page = def title = "foo" > , bodyScripts = script_ [src_ "jquery.js"]
"" > > > λ> template page "some content" > > ↪ "<!DOCTYPE
HTML><html><head><title>foo</title> > </head><body>some content<script >
src="jquery.js"></script></body></html>" .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
echo > Setup.hs 'import Distribution.Simple'
echo >>Setup.hs 'main = defaultMain'

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Apr  4 2017 psimons@suse.com
- Update to version 0.0.5 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.0.4 revision 0 with cabal2obs.
